import os
from pprint import pprint
from dataikuscoring import load_model
import pandas as pd

# Load the model from current export path
model = load_model('python/model/model.zip')

input_df = pd.read_csv('python/pokemon_for_scoring.csv')
predict_result = model.predict(input_df)
output_df = input_df
output_df['prediction'] = predict_result
print(" Output of model.predict(): {}".format(output_df))
output_df.to_csv('project-lib-versioned/model_export/pokemon_scored_python.csv')

